package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Site import config list. max size 300.
 */
@ApiModel(description = "Site import config list. max size 300.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class SiteImportOpenApiVo   {
  @JsonProperty("filePath")
  private String filePath;

  @JsonProperty("siteName")
  private String siteName;

  @JsonProperty("skipDevice")
  private Boolean skipDevice;

  public SiteImportOpenApiVo filePath(String filePath) {
    this.filePath = filePath;
    return this;
  }

  /**
   * File path of site backup config file.
   * @return filePath
  */
  @ApiModelProperty(required = true, value = "File path of site backup config file.")
  @NotNull


  public String getFilePath() {
    return filePath;
  }

  public void setFilePath(String filePath) {
    this.filePath = filePath;
  }

  public SiteImportOpenApiVo siteName(String siteName) {
    this.siteName = siteName;
    return this;
  }

  /**
   * Target site name. It should contain 1 to 64 characters.
   * @return siteName
  */
  @ApiModelProperty(required = true, value = "Target site name. It should contain 1 to 64 characters.")
  @NotNull


  public String getSiteName() {
    return siteName;
  }

  public void setSiteName(String siteName) {
    this.siteName = siteName;
  }

  public SiteImportOpenApiVo skipDevice(Boolean skipDevice) {
    this.skipDevice = skipDevice;
    return this;
  }

  /**
   * Whether skip device info(if true: skip import device; if false: import device in config file; default for false
   * @return skipDevice
  */
  @ApiModelProperty(value = "Whether skip device info(if true: skip import device; if false: import device in config file; default for false")


  public Boolean getSkipDevice() {
    return skipDevice;
  }

  public void setSkipDevice(Boolean skipDevice) {
    this.skipDevice = skipDevice;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteImportOpenApiVo siteImportOpenApiVo = (SiteImportOpenApiVo) o;
    return Objects.equals(this.filePath, siteImportOpenApiVo.filePath) &&
        Objects.equals(this.siteName, siteImportOpenApiVo.siteName) &&
        Objects.equals(this.skipDevice, siteImportOpenApiVo.skipDevice);
  }

  @Override
  public int hashCode() {
    return Objects.hash(filePath, siteName, skipDevice);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteImportOpenApiVo {\n");
    
    sb.append("    filePath: ").append(toIndentedString(filePath)).append("\n");
    sb.append("    siteName: ").append(toIndentedString(siteName)).append("\n");
    sb.append("    skipDevice: ").append(toIndentedString(skipDevice)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

